//Soal 1
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    {{ fullName }}
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
    var vm = new Vue({
       el: '#app',
       data: {
         firstName : 'Tuanku ',
         lastName : 'Imam Bonjol'
       },
       computed : {
         fullName : {
           get : function (){
             return this.firstName+' '+this.lastName
           },
           set : function (param){
             let arr = param.split(' ')
             this.firstName = arr[0] +' '+arr[1]
             this.lastName = arr[2]
           }
         }
       },
       methods : {}
   })
   </script>
</body>
</html>